Package com.oracle.nosql.spring.data.core

# Interface ReactiveNosqlOperations

All Known Implementing Classes:
  `ReactiveNosqlTemplate`

public interface ReactiveNosqlOperations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearPreparedStatementsCache()`
  Clears the cache of prepared statements.
  `reactor.core.publisher.Mono<Long>`
  `count(NosqlQuery query, NosqlEntityInformation<?,?> entityInformation)`
  `reactor.core.publisher.Mono<Long>`
  `count(NosqlEntityInformation<?,?> entityInformation)`
  `reactor.core.publisher.Mono<Boolean>`
  `createTableIfNotExists(NosqlEntityInformation<?,?> entityInformation)`
  Creates table for entity information.
  `<T, ID> reactor.core.publisher.Flux<T>`
  `delete(NosqlQuery query, NosqlEntityInformation<T,ID> entityInformation)`
  `reactor.core.publisher.Mono<Void>`
  `deleteAll(NosqlEntityInformation<?,?> entityInformation)`
  `<ID> reactor.core.publisher.Mono<Void>`
  `deleteById(NosqlEntityInformation<?,ID> entityInformation, ID id)`
  `reactor.core.publisher.Mono<Boolean>`
  `dropTableIfExists(String tableName)`
  Drops table and returns true if result indicates table state changed to DROPPED or DROPPING.
  `reactor.core.publisher.Mono<Boolean>`
  `exists(NosqlQuery query, NosqlEntityInformation<?,?> entityInformation)`
  `<ID> reactor.core.publisher.Mono<Boolean>`
  `existsById(NosqlEntityInformation<?,ID> entityInformation, ID id)`
  `<T> reactor.core.publisher.Flux<T>`
  `find(NosqlQuery query, NosqlEntityInformation<T,?> entityInformation)`
  `<T, ID> reactor.core.publisher.Flux<T>`
  `findAll(NosqlEntityInformation<T,ID> entityInformation)`
  `<T> reactor.core.publisher.Flux<T>`
  `findAll(Class<T> entityClass)`
  `<T, ID> reactor.core.publisher.Flux<T>`
  `findAllById(NosqlEntityInformation<T,ID> entityInformation, org.reactivestreams.Publisher<ID> idStream)`
  `<T, ID> reactor.core.publisher.Mono<T>`
  `findById(NosqlEntityInformation<T,ID> entityInformation, ID id)`
  `<T> reactor.core.publisher.Mono<T>`
  `findById(Object id, Class<T> entityClass)`
  `MappingNosqlConverter`
  `getConverter()`
  `String`
  `getTableName(Class<?> domainClass)`
  Returns the table name associated to the domainClass
  `<T, ID> reactor.core.publisher.Mono<T>`
  `insert(NosqlEntityInformation<?,ID> entityInformation, T entity)`
  `<T> reactor.core.publisher.Mono<T>`
  `insert(T entity)`
  `<T, ID> reactor.core.publisher.Mono<T>`
  `update(NosqlEntityInformation<?,ID> entityInformation, T entity)`
  `<T> reactor.core.publisher.Mono<T>`
  `update(T entity)`

- ## Method Details

  - ### getTableName

    String getTableName(Class<?> domainClass)
    Returns the table name associated to the domainClass
    Parameters:
      `domainClass` - the domain class
    Returns:
      the table name

  - ### createTableIfNotExists

    reactor.core.publisher.Mono<Boolean> createTableIfNotExists(NosqlEntityInformation<?,?> entityInformation)
    Creates table for entity information. Uses `NosqlDbFactory.getTableReqTimeout()` and `NosqlDbFactory.getTableReqPollInterval()` to check the result. Throws @`RuntimeException` if result indicates table state different than ACTIVE.

  - ### dropTableIfExists

    reactor.core.publisher.Mono<Boolean> dropTableIfExists(String tableName)
    Drops table and returns true if result indicates table state changed to DROPPED or DROPPING. Uses `NosqlDbFactory.getTableReqTimeout()` and `NosqlDbFactory.getTableReqPollInterval()` to check the result.

  - ### clearPreparedStatementsCache

    void clearPreparedStatementsCache()
    Clears the cache of prepared statements.

  - ### findAll

    <T, ID> reactor.core.publisher.Flux<T> findAll(NosqlEntityInformation<T,ID> entityInformation)

  - ### findAll

    <T> reactor.core.publisher.Flux<T> findAll(Class<T> entityClass)

  - ### findById

    <T> reactor.core.publisher.Mono<T> findById(Object id, Class<T> entityClass)

  - ### findById

    <T, ID> reactor.core.publisher.Mono<T> findById(NosqlEntityInformation<T,ID> entityInformation, ID id)

  - ### findAllById

    <T, ID> reactor.core.publisher.Flux<T> findAllById(NosqlEntityInformation<T,ID> entityInformation, org.reactivestreams.Publisher<ID> idStream)

  - ### insert

    <T> reactor.core.publisher.Mono<T> insert(T entity)

  - ### insert

    <T, ID> reactor.core.publisher.Mono<T> insert(NosqlEntityInformation<?,ID> entityInformation, T entity)

  - ### update

    <T> reactor.core.publisher.Mono<T> update(T entity)

  - ### update

    <T, ID> reactor.core.publisher.Mono<T> update(NosqlEntityInformation<?,ID> entityInformation, T entity)

  - ### deleteById

    <ID> reactor.core.publisher.Mono<Void> deleteById(NosqlEntityInformation<?,ID> entityInformation, ID id)

  - ### deleteAll

    reactor.core.publisher.Mono<Void> deleteAll(NosqlEntityInformation<?,?> entityInformation)

  - ### delete

    <T, ID> reactor.core.publisher.Flux<T> delete(NosqlQuery query, NosqlEntityInformation<T,ID> entityInformation)

  - ### find

    <T> reactor.core.publisher.Flux<T> find(NosqlQuery query, NosqlEntityInformation<T,?> entityInformation)

  - ### exists

    reactor.core.publisher.Mono<Boolean> exists(NosqlQuery query, NosqlEntityInformation<?,?> entityInformation)

  - ### existsById

    <ID> reactor.core.publisher.Mono<Boolean> existsById(NosqlEntityInformation<?,ID> entityInformation, ID id)

  - ### count

    reactor.core.publisher.Mono<Long> count(NosqlEntityInformation<?,?> entityInformation)

  - ### count

    reactor.core.publisher.Mono<Long> count(NosqlQuery query, NosqlEntityInformation<?,?> entityInformation)

  - ### getConverter

    MappingNosqlConverter getConverter()